%global _empty_manifest_terminate_build 0
Name:           python-netifaces
Version:        0.11.0
Release:        1
Summary:        Portable network interface information.
License:        MIT
URL:            https://github.com/al45tair/netifaces
Source0:        https://files.pythonhosted.org/packages/a6/91/86a6eac449ddfae239e93ffc1918cf33fd9bab35c04d1e963b311e347a73/netifaces-0.11.0.tar.gz

%description
It’s been annoying me for some time that there’s no easy way to get the
address(es) of the machine’s network interfaces from Python.  There is
a good reason for this difficulty, which is that it is virtually impossible
to do so in a portable manner.  However, it seems to me that there should
be a package you can easy_install that will take care of working out the
details of doing so on the machine you’re using, then you can get on with
writing Python code without concerning yourself with the nitty gritty of
system-dependent low-level networking APIs.
This package attempts to solve that problem.

%package -n python3-netifaces
Summary:	Portable network interface information.
Provides:	python-netifaces
# Base build requires
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:  python3-pbr
BuildRequires:  python3-pip
BuildRequires:  python3-wheel
BuildRequires:	python3-cffi
BuildRequires:	gcc
%description -n python3-netifaces
It’s been annoying me for some time that there’s no easy way to get the
address(es) of the machine’s network interfaces from Python.  There is
a good reason for this difficulty, which is that it is virtually impossible
to do so in a portable manner.  However, it seems to me that there should
be a package you can easy_install that will take care of working out the
details of doing so on the machine you’re using, then you can get on with
writing Python code without concerning yourself with the nitty gritty of
system-dependent low-level networking APIs.
This package attempts to solve that problem.

%package help
Summary:	Development documents and examples for netifaces
Provides:	python3-netifaces-doc
%description help
It’s been annoying me for some time that there’s no easy way to get the
address(es) of the machine’s network interfaces from Python.  There is
a good reason for this difficulty, which is that it is virtually impossible
to do so in a portable manner.  However, it seems to me that there should
be a package you can easy_install that will take care of working out the
details of doing so on the machine you’re using, then you can get on with
writing Python code without concerning yourself with the nitty gritty of
system-dependent low-level networking APIs.
This package attempts to solve that problem.

%prep
%autosetup -n netifaces-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
    find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
    find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
    find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
    find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
    find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%check
%{__python3} setup.py test

%files -n python3-netifaces -f filelist.lst
%dir %{python3_sitearch}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sat Jun 04 2022 OpenStack_SIG <openstack@openeuler.org> - 0.11.0-1
- Upgrade python3-netifaces to version 0.11.0

* Wed Aug 04 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.10.9-2
- DESC: delete BuildRequires gdb

* Fri Oct 09 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
